//get current camera position
camX = camera_get_view_x(camera);
camY = camera_get_view_y(camera);

camW = camera_get_view_width(camera);
camH = camera_get_view_height(camera);


//horizontal cam
if cam_ori = 1 
{
camH = lerp(camH,1080,0.1);
camW = lerp(camW,3200,0.1);
surface_resize(application_surface, camW/2, camH/2);
}


//vertical cam
if cam_ori = 2 
{
	if just_started = true
	{
		camH = 3200;
		camW = 1080;
	}
	else
	{
		camH = lerp(camH,3200,0.1);
		camW = lerp(camW,1080,0.1);
	}
surface_resize(application_surface, camW/2, camH/2);
}


//square cam
if cam_ori = 3 
{
camH = lerp(camH,3200,0.1);
camW = lerp(camW,3200,0.1);
surface_resize(application_surface, camW/3, camH/3);
}



//5X5 CAM
if cam_ori = 4
{
camH = lerp(camH,4280,0.1);
camW = lerp(camW,5350,0.1);
surface_resize(application_surface, camW/4, camH/4);
}

//5X3 CAM
if cam_ori = 5
{
camH = lerp(camH,3220,0.1);
camW = lerp(camW,5380,0.1);
surface_resize(application_surface, camW/4, camH/4);
}


//2X4 CAM
if cam_ori = 6
{
camH = lerp(camH,2160,0.1);
camW = lerp(camW,4320,0.1);
surface_resize(application_surface, camW/2, camH/2);
}

//2X3 CAM
if cam_ori = 7
{
camH = lerp(camH,3240,0.1);
camW = lerp(camW,2160,0.1);
surface_resize(application_surface, camW/2, camH/2);
}



//bird view
if cam_ori = 8
{
	camH = lerp(camH,3240,0.1);
	camW = lerp(camW,5760,0.1);
	surface_resize(application_surface, camW/3, camH/3);
	
}
/*
//adjust actual position of camera
if (mouse_wheel_up() or keyboard_check_pressed(vk_alt)) and camX < room_width - 1066.66
{
camX_target += 1066.66;	
}
if (mouse_wheel_down() or keyboard_check_pressed(vk_control)) and camX >= 1066.66
{
camX_target -= 1066.66;	
}
*/

//static follow
if follow_type = 1 
{
	if cam_ori = 2
	{camX_target = obj_player.x - (obj_player.x mod 1066);}
	else
	{camX_target = obj_player.x - (obj_player.x mod 3200);}

	if cam_ori = 1
	{camY_target = obj_player.y - (obj_player.y mod 1066);}
	else
	{camY_target = obj_player.y - (obj_player.y mod 3200);}
}


//follow
if follow_type = 2 
{
	if cam_ori = 2
	{camX_target = obj_player.x - (obj_player.x mod 1066);}
	else
	{camX_target = obj_player.x - (obj_player.x mod 1066);}

	if cam_ori = 1
	{camY_target = obj_player.y - (obj_player.y mod 1066);}
	else
	{camY_target = obj_player.y - (obj_player.y mod 1066);}
}


//
if follow_type = 3 
{

	camX_target = 2100;
	camY_target = 0;

}


//
if follow_type = 4 
{

	camX_target = 4230;
	camY_target = 0;

}


//
if follow_type = 5 
{

	camX_target = 2070;
	camY_target = 3190;

}



//
if follow_type = 6
{

	camX_target = 7410;
	camY_target = 3200;

}


//
if follow_type = 7
{

	camX_target = 9550;
	camY_target = 0;

}




if follow_type = 8
{

	camX_target = obj_bird_mode.x - (5760/2) ;
	camY_target = obj_bird_mode.y - (3240/2) ;

}




if camX != camX_target 
{
	if abs(camX - camX_target) < 5
	{
		camX = camX_target;
	}
	else
	{
		camX = lerp(camX,camX_target,0.25);
	}
	
}








if camY != camY_target 
{
	
	if abs(camY - camY_target) < 5
	{
		camY = camY_target;
	}
	else
	{
	camY = lerp(camY,camY_target,0.25);
	}
}








//apply camera position
camera_set_view_pos(camera,camX+shake_mod_x,camY+shake_mod_y);
camera_set_view_size(camera,camW, camH);

